Skip to main content
`Ctrl`+`K`

# MFNGetFN

Obtain the math function object associated to the `MFN` object.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNGetFN(MFN mfn,FN *fn)

Not Collective

## Input Parameter

- mfn - the matrix function solver context

## Output Parameter

- fn - math function context

## Note

This is the usual way to specify the function that needs to be applied to a given vector in `MFNSolve()`.

## See Also

MFN: Matrix Function, `MFNSetFN()`. `MFNSolve()`

## Level

beginner

## Location

src/mfn/interface/mfnbasic.c

## Examples

src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex23.c
src/eps/tutorials/ex36.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages